using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace t
{
    internal class Program
    {
        static bool Provera(List<int> podniz)
        {
            for (int i = 0; i < podniz.Count-1; i++)
            {
                if (podniz[i] < podniz[i + 1]) return false;
            }
            return true;
        }

        static string Promena(List<int> pocetni, int pocetak, int kraj)
        {
            bool nadjeno = false;
            List<int> izmenjen = new List<int>();
            for (int i = pocetak-1; i <= kraj-1; i++)
            {
                izmenjen.Add(pocetni[i]);
            }
            List<int> rad = izmenjen;

            for (int j = 0; j < izmenjen.Count; j++)
            {
                rad.Remove(izmenjen[j]);
                if(Provera(izmenjen))
                {
                    nadjeno = true;
                    break;
                }
                rad = izmenjen;
            }

            if(nadjeno) return "DA";
            else return "NE";
        }

        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            string[] unos = Console.ReadLine().Split(' ');
            List<int> niz = new List<int>();

            for (int i = 0; i < unos.Length; i++)
            {
                niz.Add(int.Parse(unos[i])); 
            }

            int q = int.Parse(Console.ReadLine());
            string[] odgovori= new string[q];
            
            for (int i = 0; i < q; i++)
            {
                unos = Console.ReadLine().Split();

                odgovori[i]= Promena(niz, int.Parse(unos[0]), int.Parse(unos[1]));
            }

            foreach(string s in odgovori)
                Console.WriteLine(s);

            
        }
    }
}